Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040522
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-04 13:272019-05-21 15:16
ReporteralostaleView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisioncad0e7a1e663
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040522: use bind-parameters in FIN_BankStatementImport

DescriptionFIN_BankStatementImport.matchBusinessPartnerByNameTokens method is generating a sql setting parameters by String concatenation, replace tokens by bind parameters.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00406813.0PR19Q2 closednonofrancisco use bind-parameters in FIN_BankStatementImport 
depends on backport 00406823.0PR19Q1.1 closednonofrancisco use bind-parameters in FIN_BankStatementImport 
depends on backport 00406833.0PR18Q4.4 closednonofrancisco use bind-parameters in FIN_BankStatementImport 
related to defect 0040628 closednonofrancisco Match the business partner by tokens does not work in an import bank statement process 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0110994)
vmromanos (developer)
2019-04-05 10:19
edited on: 2019-04-05 10:19

Backport to previous releases

(0111314)
hgbot (developer)
2019-04-25 13:18

Repository: erp/devel/pi
Changeset: a5d02171e10c523cfac9da2c54e6fb29ee292514
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Thu Apr 25 12:39:23 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a5d02171e10c523cfac9da2c54e6fb29ee292514 [^]

Fixes issue 40522: Prevents use of string concatenation in query

Query to get business partners was formed using string concatenation.
This fix replaces the string concatenation by bind parameters in query.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
---
(0111315)
hgbot (developer)
2019-04-25 13:18

Repository: erp/devel/pi
Changeset: cfc6ddc67eb0b04be2737bdc22cce8c9b314d4c6
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Apr 25 13:12:34 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cfc6ddc67eb0b04be2737bdc22cce8c9b314d4c6 [^]

related to issue 40522 code review changes

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
---
(0111332)
Sandrahuguet (developer)
2019-04-25 17:01

Code review + testing OK
(0111997)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0111998)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-04 13:27 alostale New Issue
2019-04-04 13:27 alostale Assigned To => Triage Finance
2019-04-04 13:27 alostale Modules => Core
2019-04-04 13:27 alostale Triggers an Emergency Pack => No
2019-04-04 13:27 alostale Relationship added blocks 0038136
2019-04-04 13:38 alostale Relationship added depends on 0040523
2019-04-05 10:09 vmromanos Status new => scheduled
2019-04-05 10:09 vmromanos Assigned To Triage Finance => nonofrancisco
2019-04-05 10:19 vmromanos Note Added: 0110994
2019-04-05 10:19 vmromanos Note Edited: 0110994 View Revisions
2019-04-09 20:57 shuehner Relationship deleted depends on 0040523
2019-04-25 12:25 Sandrahuguet Relationship added related to 0040628
2019-04-25 13:18 hgbot Checkin
2019-04-25 13:18 hgbot Note Added: 0111314
2019-04-25 13:18 hgbot Status scheduled => resolved
2019-04-25 13:18 hgbot Resolution open => fixed
2019-04-25 13:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a5d02171e10c523cfac9da2c54e6fb29ee292514 [^]
2019-04-25 13:18 hgbot Checkin
2019-04-25 13:18 hgbot Note Added: 0111315
2019-04-25 13:19 Sandrahuguet Status resolved => new
2019-04-25 13:19 Sandrahuguet Resolution fixed => open
2019-04-25 13:20 Sandrahuguet Status new => scheduled
2019-04-25 13:20 Sandrahuguet Status scheduled => resolved
2019-04-25 13:20 Sandrahuguet Resolution open => fixed
2019-04-25 16:58 hgbot Checkin
2019-04-25 16:58 hgbot Note Added: 0111327
2019-04-25 16:58 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a5d02171e10c523cfac9da2c54e6fb29ee292514 [^] => http://code.openbravo.com/erp/backports/3.0PR18Q4.4/rev/cad0e7a1e66397273227a5757b4c854c7f4f1a56 [^]
2019-04-25 16:58 hgbot Checkin
2019-04-25 16:58 hgbot Note Added: 0111328
2019-04-25 17:00 Sandrahuguet Note Deleted: 0111327
2019-04-25 17:00 Sandrahuguet Note Deleted: 0111328
2019-04-25 17:01 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-25 17:01 Sandrahuguet Note Added: 0111332
2019-04-25 17:01 Sandrahuguet Status resolved => closed
2019-04-25 17:01 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111997
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111998


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker